import Six.Sixp.Client.AcceptFormat;
import Six.Sixp.Client.IRequest;
import Six.Sixp.Client.IRequestEventListener;

/**
 * This class holds one request.
 * It hols the prl,AcceptFormat and if it is a subscription or a get request
 */

public class RequestItem
{
    private String _prl;
    private AcceptFormat _format;
    private Boolean _subscribe;
    private IRequestEventListener _eventListener;
    private IRequest _request;
    private Boolean _tableFilled;

    public RequestItem (String prl,AcceptFormat format,Boolean subscribe,IRequestEventListener eventListener)
    {
        _prl=prl;
        _format=format;
        _subscribe=subscribe;
        _eventListener=eventListener;
        _request=null;
        _tableFilled=false;
    }

    public void setPrl(String prl)
    {
        _prl=prl;
    }

    public void setFormat(AcceptFormat format)
    {
        _format=format;
    }

    public void setSubscribe(Boolean subscribe)
    {
        _subscribe=subscribe;
    }

    public void setEventListener(IRequestEventListener eventListener)
    {
        _eventListener=eventListener;
    }

    public void setRequest(IRequest request)
    {
        _request=request;
    }

    public void setTableFilled(Boolean tableFilled)
    {
        _tableFilled=tableFilled;
    }

    public String getPrl()
    {
        return _prl;
    }

    public AcceptFormat getFormat()
    {
        return _format;
    }

    public Boolean getSubscribe()
    {
        return _subscribe;
    }

    public IRequestEventListener getEventListener()
    {
        return _eventListener;
    }

    public IRequest getRequest()
    {
        return _request;
    }

    public Boolean getTableFilled()
    {
        return _tableFilled;
    }

}
